Package com.destroystokyo.paper.entity

# Class TargetEntityInfo

java.lang.Object
com.destroystokyo.paper.entity.TargetEntityInfo

public class TargetEntityInfo extends Object
Represents information about a targeted entity

## Constructor Summary

Constructors
Constructor
Description
`TargetEntityInfo(@NotNull Entity entity, @NotNull Vector hitVec)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Get the entity that is targeted
`@NotNull Vector`
`getHitVector()`
Get the position the entity is targeted at

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TargetEntityInfo

public TargetEntityInfo(@NotNull @NotNull Entity entity, @NotNull @NotNull Vector hitVec)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
Get the entity that is targeted

Returns:
  Targeted entity

### getHitVector

@NotNull public @NotNull Vector getHitVector()
Get the position the entity is targeted at

Returns:
  Targeted position